require("Settings")

local ftpstring = "ftp://"..user..":"..passwd.."@"..server.."/"..serverDir.."/"

function upload_file(folder, src_file, dest_file)
    local path = folder .. "/" .. src_file
    -- Open the log file
    local outfile = io.open(logfile, "a")
    outfile:write(dest_file .. " ... ")
    local response = fa.ftp("put", ftpstring..dest_file, path)

    --Check to see if it worked, and log the result!
    if response ~= nil then
        print("Success!")
        outfile:write(" Success!\n")
        if delete_after_upload == true then
            print("Deleting " .. path)
            outfile:write("Deleting " .. path .. "\n")
            sleep(1000)
            fa.remove(path)
        end
    else
        print(" Fail ")
        outfile:write(" Fail\n")
    end
    --Close our log file
    outfile:close()
end



last_filename = ""
last_filepath = ""

max_mod = 0
fpath = "/photo"
for filename in lfs.dir(fpath) do
  filepath = fpath .. "/" .. filename
  mod = lfs.attributes( filepath, "modification" )
  if mod > max_mod then
    max_mod = mod
    last_filename = filename
    last_filepath = filepath
  end
end

if server ~= "" then
-- wait for wifi to connect
  while string.sub(fa.ReadStatusReg(),13,13) ~= "a" do
    print("Wifi not connected. Waiting...")
    sleep(1000)
  end
  upload_file(fpath, last_filename, serverFile)
else
  local robi_filepath = "/" .. serverFile
  if delete_after_upload == true then
    fa.remove( robi_filepath )
    fa.rename( last_filepath, robi_filepath )
  else
    local src_file = io.open( last_filepath, "rb" )
    local dest_file = io.open( robi_filepath, "wb" )
    if W03 == true then
	while true do
	  local buf = src_file:read(1024)
	  if buf == nil then break end
	  dest_file:write(buf)
	end
    else
       local buf= src_file:read("*a")
       dest_file:write(buf)
    end
    dest_file:close()
    src_file:close()
  end
end